Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Strange processor / GSDX error / misinformation?
#1
Hi to you all!

So I've grabbed the newest pcsx2 beta plus all of the newest revisions of GSDX (rev 1372) plugin. Firstly I have to confirm the !massive! speed up for my ATI Radeon 1950 Pro in all games, thx for this. To speed all of this up even more, I thought of setting gdsx to sse3, as the info box (see screenie 1) implies that my processor would be cool with this. But if i try to do so, a message pops up which says my processor wouldn't be able to cope with sse 3.

My question now is whether I'm able or not to use sse3.

THX in advance:

Specs: OS : XP SP3 professional
CPU: Intel Dentium D Processor, 3.5 ghz
RAM: 2.5 gigs of ddr2 ram
GB : ATI Radeon X 1950 Pro
pcsx2 beta 1329 + gsdx rev 1372

Thanks again and plz keep up your great work!


Attached Files Thumbnail(s)
       
Reply

Sponsored links

#2
Nope, the GSDx plugin doesn't have anything for SSE3, only SSSE3 (yes, that third S is not a typo!).

SSSE3 is Intel only, so your AMD processor will not be able to use it. The speed difference is supposedly not very large anyway, so you shouldn't be missing out on much using just the SSE2 plugin.
http://www.twitch.tv/krazytrumpeter05
Want to stream your games? Let me know and I can help you get set up with Open Broadcaster Software.
Reply
#3
(06-16-2009, 10:56 PM)KrazyTrumpeter05 Wrote: Nope, the GSDx plugin doesn't have anything for SSE3, only SSSE3 (yes, that third S is not a typo!).

SSSE3 is Intel only, so your AMD processor will not be able to use it. The speed difference is supposedly not very large anyway, so you shouldn't be missing out on much using just the SSE2 plugin.

okay thx to that

unable to read *ashamed*
Reply
#4
It's an extremely common mistake due to the confusion in the naming of the different instruction sets. You are not the first to be confused, that's for sure.
http://www.twitch.tv/krazytrumpeter05
Want to stream your games? Let me know and I can help you get set up with Open Broadcaster Software.
Reply
#5
Oh, just unable to read.

I'm too fast and here are the mistakes.

thread could be closed?
Reply
#6
I was always wondering(even suggested it)why don't he change that message to
"This CPU does not support SSSE3"
by doing so,most likely a lot of peoples will stop ask about this.
Reply
#7
May be a good idea.

I am not new to emulation, but that was the first time i totally messed up with plugins!

A change could avoid this in future
Reply
#8
(06-16-2009, 11:06 PM)vsub Wrote: I was always wondering(even suggested it)why don't he change that message to
"This CPU does not support SSSE3"
by doing so,most likely a lot of peoples will stop ask about this.

the ammount of people that think SSSE3 = SSE3 wouldnt be lower, they'd just think it is a typo or just unable to see the extra S, so... by sayin SSE 3.01 people may think they're missing that extra .01, if saying SSSE3 people may think it is a typo there's no way keeping all people happy xD

At the beginning of the SSSE3 and SSE4 optimizations even when the plugin itself said "SSSE3" and just refused to work without a warning on AMD processors the ammount of people asking about was way higher than it is now with the warning at least Tongue
Reply
#9
(06-16-2009, 10:56 PM)KrazyTrumpeter05 Wrote: so your AMD processor will not be able to use it.
btw, his cpu is not an AMD Smile (it's an Intel as stated below)
(06-16-2009, 10:48 PM)thetitan Wrote: CPU: Intel Pentium D Processor, 3.5 ghz
and i thought Pentium Ds had SSSE3 Unsure (or maybe i'm just confused Tongue)

(06-16-2009, 11:27 PM)Shadow Lady Wrote:
(06-16-2009, 11:06 PM)vsub Wrote: I was always wondering(even suggested it)why don't he change that message to
"This CPU does not support SSSE3"
by doing so,most likely a lot of peoples will stop ask about this.
the ammount of people that think SSSE3 = SSE3 wouldnt be lower, they'd just think it is a typo or just unable to see the extra S, so... by sayin SSE 3.01 people may think they're missing that extra .01, if saying SSSE3 people may think it is a typo
then why not just make the message as this: "This plugin won't work with your pc, please use the SSE2 version" Tongue
Windows 7 64bit
Intel Pentium Dual-Core E5200 OC to 3.6GHz, Intel GMA x4500, 1GB DDR2

NinjaMight just work on next guideNinja
Reply
#10
(06-17-2009, 02:25 AM)LuisR14 Wrote:
(06-16-2009, 10:48 PM)thetitan Wrote: CPU: Intel Pentium D Processor, 3.5 ghz
and i thought Pentium Ds had SSSE3 Unsure (or maybe i'm just confused Tongue)

you're probably mixing up the pentium d and the pentium dual core series, the former (like shown in the screen) has no ssse3 support, the latter has Wink
CPU Core i5-3570K@3.4GHz | GPU Nvidia Geforce GTX 570 | RAM 8GB DDR-3 1600MHz CL9 | OS Win7 Ultimate (x64) SP1
EMU PCSX2 v1.1.0 r5645 | GS GSdx SSE4 r5632 | SPU2 SPU2-X r5559 | PAD LilyPad r5403 | CDVD cdvdGigaherz r5403
Reply




Users browsing this thread: 1 Guest(s)